// CodeGear C++ Builder
// Copyright (c) 1995, 2007 by CodeGear
// All rights reserved

// (DO NOT EDIT: machine generated header) 'Acgraphics.pas' rev: 11.00

#ifndef AcgraphicsHPP
#define AcgraphicsHPP

#pragma delphiheader begin
#pragma option push
#pragma option -w-      // All warnings off
#pragma option -Vx      // Zero-length empty class member functions
#pragma pack(push,8)
#include <System.hpp>	// Pascal unit
#include <Sysinit.hpp>	// Pascal unit
#include <Windows.hpp>	// Pascal unit
#include <Controls.hpp>	// Pascal unit
#include <Graphics.hpp>	// Pascal unit
#include <Classes.hpp>	// Pascal unit
#include <Forms.hpp>	// Pascal unit

//-- user supplied -----------------------------------------------------------

namespace Acgraphics
{
//-- type declarations -------------------------------------------------------
struct TacColorQuad
{
	
public:
	Byte Red;
	Byte Green;
	Byte Blue;
	Byte Alpha;
} ;

class DELPHICLASS TacIcon;
class PASCALIMPLEMENTATION TacIcon : public Graphics::TIcon 
{
	typedef Graphics::TIcon inherited;
	
private:
	void __fastcall ReadSFPData(Classes::TStream* Stream);
	void __fastcall WriteSFPData(Classes::TStream* Stream);
	
protected:
	virtual void __fastcall DefineProperties(Classes::TFiler* Filer);
public:
	#pragma option push -w-inl
	/* TIcon.Create */ inline __fastcall virtual TacIcon(void) : Graphics::TIcon() { }
	#pragma option pop
	#pragma option push -w-inl
	/* TIcon.Destroy */ inline __fastcall virtual ~TacIcon(void) { }
	#pragma option pop
	
};


class DELPHICLASS TacPicture;
class PASCALIMPLEMENTATION TacPicture : public Graphics::TPicture 
{
	typedef Graphics::TPicture inherited;
	
private:
	void __fastcall ReadSFPData(Classes::TStream* Stream);
	void __fastcall WriteSFPData(Classes::TStream* Stream);
	
protected:
	virtual void __fastcall DefineProperties(Classes::TFiler* Filer);
public:
	#pragma option push -w-inl
	/* TPicture.Create */ inline __fastcall TacPicture(void) : Graphics::TPicture() { }
	#pragma option pop
	#pragma option push -w-inl
	/* TPicture.Destroy */ inline __fastcall virtual ~TacPicture(void) { }
	#pragma option pop
	
};


struct FLASHWINFO
{
	
public:
	unsigned cbSize;
	HWND hwnd;
	unsigned dwFlags;
	unsigned uCount;
	unsigned dwTimeout;
} ;

typedef FLASHWINFO  TFlashWInfo;

#pragma option push -b-
enum acGraphics__3 { afHorPositive, afHorNegative, afVerPositive, afVerNegative, afCenter, afSlide, afBlend };
#pragma option pop

typedef Set<acGraphics__3, afHorPositive, afBlend>  TacWin2kAnimationFlags;

#pragma option push -b-
enum TacScreenColorMode { sm4bit, sm8bit, sm16bit, sm24bit, sm32bit };
#pragma option pop

#pragma option push -b-
enum TacScreenResolution { sr640x480, sr800x600, sr1024x768, sr1152x864, sr1280x960, sr1280x1024, sr1600x1200, sr1920x1080, sr1920x1200, sr480x640, sr600x800, sr768x1024, sr864x1152, sr960x1280, sr1024x1280, sr1200x1600, sr1080x1920, sr1200x1920 };
#pragma option pop

#pragma option push -b-
enum TacGradientDirection { gdVertical, gdHorizontal, gdCentral };
#pragma option pop

#pragma option push -b-
enum TacBackgroundKind { bkPicture, bkGradient };
#pragma option pop

#pragma option push -b-
enum TacBackgroundPictureStyle { bsTile, bsStretch, bsZigzag, bsCenter, bsAlignLeft, bsAlignRight };
#pragma option pop

class DELPHICLASS TacBackground;
class PASCALIMPLEMENTATION TacBackground : public Classes::TPersistent 
{
	typedef Classes::TPersistent inherited;
	
private:
	bool FActive;
	Graphics::TColor FGradientColor1;
	Graphics::TColor FGradientColor2;
	TacGradientDirection FGradientDirection;
	TacPicture* FPicture;
	TacBackgroundPictureStyle FPictureStyle;
	TacBackgroundKind FKind;
	Classes::TNotifyEvent FOnChange;
	Controls::TControl* Owner;
	void __fastcall SetActive(const bool Value);
	void __fastcall SetGradientColor1(const Graphics::TColor Value);
	void __fastcall SetGradientColor2(const Graphics::TColor Value);
	void __fastcall SetGradientDirection(const TacGradientDirection Value);
	void __fastcall SetKind(const TacBackgroundKind Value);
	void __fastcall SetPicture(const TacPicture* Value);
	void __fastcall SetPictureStyle(const TacBackgroundPictureStyle Value);
	void __fastcall PictureChanged(System::TObject* Sender);
	
protected:
	virtual void __fastcall DoBackgroundChanged(void);
	
public:
	__fastcall virtual TacBackground(Controls::TControl* aOwner);
	__fastcall virtual ~TacBackground(void);
	virtual void __fastcall Assign(Classes::TPersistent* Source);
	bool __fastcall Paint(Graphics::TCanvas* Canvas, const Types::TRect &Rect);
	__property Classes::TNotifyEvent OnChange = {read=FOnChange, write=FOnChange};
	
__published:
	__property bool Active = {read=FActive, write=SetActive, default=0};
	__property Graphics::TColor GradientColor1 = {read=FGradientColor1, write=SetGradientColor1, default=16711680};
	__property Graphics::TColor GradientColor2 = {read=FGradientColor2, write=SetGradientColor2, default=0};
	__property TacGradientDirection GradientDirection = {read=FGradientDirection, write=SetGradientDirection, default=1};
	__property TacBackgroundKind Kind = {read=FKind, write=SetKind, default=1};
	__property TacPicture* Picture = {read=FPicture, write=SetPicture};
	__property TacBackgroundPictureStyle PictureStyle = {read=FPictureStyle, write=SetPictureStyle, default=0};
};


class DELPHICLASS TacPanelBackground;
class PASCALIMPLEMENTATION TacPanelBackground : public TacBackground 
{
	typedef TacBackground inherited;
	
private:
	bool FPaintOnBorders;
	void __fastcall SetPaintOnBorders(bool Value);
	
public:
	__fastcall virtual TacPanelBackground(Controls::TControl* aOwner);
	
__published:
	__property bool PaintOnBorders = {read=FPaintOnBorders, write=SetPaintOnBorders, default=1};
public:
	#pragma option push -w-inl
	/* TacBackground.Destroy */ inline __fastcall virtual ~TacPanelBackground(void) { }
	#pragma option pop
	
};


#pragma option push -b-
enum TacGraphicFormat { gfBMP, gfJPG, gfGIF, gfPNG, gfTIF, gfDCX, gfPCX, gfEMF, gfOther };
#pragma option pop

//-- var, const, procedure ---------------------------------------------------
#define IDC_LINKSELECT (char *)(0x7f89)
#define IDC_HANDWRITING (char *)(0x7f77)
static const short crLinkSelect = -151;
static const short crHandwriting = -152;
static const short cr3dAppStart = -153;
static const short cr3dArrow = -154;
static const short cr3dArrowNE = -155;
static const short cr3dArrowScrollHorz = -156;
static const short cr3dArrowScrollVert = -157;
static const short cr3dArrowSize = -158;
static const short cr3dArrowResize = -159;
static const short cr3dArrowWarning = -160;
static const short cr3dCross = -161;
static const short cr3dDragSelection = -162;
static const short cr3dDragSelectionPlus = -163;
static const short cr3dHandwriting = -164;
static const short cr3dHelp = -165;
static const short cr3dHourGlass = -166;
static const short cr3dIBeam = -167;
static const short cr3dNo = -168;
static const short cr3dSize = -169;
static const short cr3dSizeNESW = -170;
static const short cr3dSizeNS = -171;
static const short cr3dSizeNWSE = -172;
static const short cr3dSizeWE = -173;
static const short cr3dTool = -174;
static const short cr3dUpArrow = -175;
static const short crArrowNE = -176;
static const short crArrowNW = -177;
static const short crArrowScrollHorz = -178;
static const short crArrowScrollVert = -179;
static const short crArrowSE = -180;
static const short crArrowSize = -181;
static const short crArrowResize = -182;
static const short crArrowSW = -183;
static const short crDragFile = -184;
static const short crDragFiles = -185;
static const short crDragSelection = -186;
static const short crDragSelectionPlus = -187;
static const short crHandSpread = -188;
static const short crItBeam = -189;
static const short crPen = -190;
static const short crTool = -191;
static const short crZoomIn = -192;
static const short crZoomOut = -193;
static const Graphics::TColor clHotLight = -2147483622;
static const Graphics::TColor clContextHelp = 15663103;
static const Graphics::TColor clBrown = 12432;
static const Graphics::TColor clOliveGreen = 12336;
static const Graphics::TColor clDarkGreen = 12288;
static const Graphics::TColor clDarkTeal = 6303744;
static const Graphics::TColor clIndigo = 9449520;
static const Graphics::TColor clNight = 3158064;
static const Graphics::TColor clOrange = 26879;
static const Graphics::TColor clBlueGray = 9461856;
static const Graphics::TColor clLightOrange = 39167;
static const Graphics::TColor clSeaGreen = 6330416;
static const Graphics::TColor clLightBlue = 16738352;
static const Graphics::TColor clMetal = 9474192;
static const Graphics::TColor clGold = 51455;
static const Graphics::TColor clSkyBlue = 16762880;
static const Graphics::TColor clPlum = 6303888;
static const Graphics::TColor clRose = 13670655;
static const Graphics::TColor clTan = 10537215;
static const Graphics::TColor clLightYellow = 9502719;
static const Graphics::TColor clLightGreen = 13696976;
static const Graphics::TColor clLightTurquoise = 16777152;
static const Graphics::TColor clPaleBlue = 16763024;
static const Graphics::TColor clSoftBlue = 15116940;
static const Graphics::TColor clLavender = 16750784;
static const Graphics::TColor clHotFlame = 15395583;
static const Graphics::TColor clCream = 10930928;
static const Graphics::TColor clMoneyGreen = 12639424;
static const Shortint aLWA_COLORKEY = 0x1;
static const Shortint aLWA_ALPHA = 0x2;
static const int aWS_EX_LAYERED = 0x80000;
static const Shortint aWS_EX_TRANSPARENT = 0x20;
static const Shortint aFLASHW_STOP = 0x0;
static const Shortint aFLASHW_CAPTION = 0x1;
static const Shortint aFLASHW_TRAY = 0x2;
static const Shortint aFLASHW_ALL = 0x3;
static const Shortint aFLASHW_TIMER = 0x4;
static const Shortint aFLASHW_TIMERNOFG = 0x8;
static const Shortint aAW_HOR_POSITIVE = 0x1;
static const Shortint aAW_HOR_NEGATIVE = 0x2;
static const Shortint aAW_VER_POSITIVE = 0x4;
static const Shortint aAW_VER_NEGATIVE = 0x8;
static const Shortint aAW_CENTER = 0x10;
static const int aAW_HIDE = 0x10000;
static const int aAW_ACTIVATE = 0x20000;
static const int aAW_SLIDE = 0x40000;
static const int aAW_BLEND = 0x80000;
extern PACKAGE SmallString<3>  TacGraphicFormatExt[9];
extern PACKAGE BOOL __fastcall AnimateWindow(HWND hWnd, unsigned dwTime, unsigned dwFlags);
extern PACKAGE BOOL __fastcall FlashWindowEx(FLASHWINFO &pfwi);
extern PACKAGE int __fastcall SetLayeredWindowAttributes(unsigned hWnd, unsigned crKey, Byte bAlpha, int dwFlags);
extern PACKAGE void __fastcall acMakeTranslucentWindow(unsigned Wnd, Byte TransparencyRate);
extern PACKAGE void __fastcall acMakeOpaqueWindow(unsigned Wnd);
extern PACKAGE void __fastcall acAnimateWindow(Forms::TForm* Form, Word Time, TacWin2kAnimationFlags AnimationType, bool Open);
extern PACKAGE void __fastcall acFlashWindow(unsigned Wnd, int Count, bool FlashTaskIcon, bool StopOnActivate = false);
extern PACKAGE void __fastcall acFillRect(HDC DC, const Types::TRect &Rect, Graphics::TColor Color);
extern PACKAGE TacScreenColorMode __fastcall GetScreenColorMode(void);
extern PACKAGE bool __fastcall acIdentToCursor(const AnsiString Ident, int &Cursor);
extern PACKAGE AnsiString __fastcall acCursorToString(Controls::TCursor Cursor);
extern PACKAGE Controls::TCursor __fastcall acStringToCursor(const AnsiString S);
extern PACKAGE void __fastcall acGetCursorValues(Classes::TGetStrProc Proc);
extern PACKAGE AnsiString __fastcall acColorToString(const Graphics::TColor Color);
extern PACKAGE Graphics::TColor __fastcall acStringToColor(const AnsiString S);
extern PACKAGE void __fastcall acGetColorValues(Classes::TGetStrProc Proc);
extern PACKAGE void __fastcall DrawWallpaper(Graphics::TCanvas* Canvas, const Types::TRect &DrawRect, Graphics::TPicture* Picture, Graphics::TColor BackgroundColor, TacBackgroundPictureStyle Style);
extern PACKAGE void __fastcall DrawGradient(HDC DC, const Types::TRect &DrawRect, Graphics::TColor GradientColor1, Graphics::TColor GradientColor2, Graphics::TColor BackgroundColor, TacGradientDirection Direction);
extern PACKAGE void __fastcall DrawBitmap(HDC DestDC, int DestLeft, int DestTop, int DestWidth, int DestHeight, Graphics::TBitmap* Bitmap, Controls::TImageList* ImageList, int ImageIndex, bool aTransparent, bool Disabled, bool ChangeColor, Graphics::TColor aTransparentColor, Graphics::TColor ChangeColorFrom, Graphics::TColor ChangeColorTo);
extern PACKAGE void __fastcall DrawButton(HDC DC, const Types::TRect &Rect, bool Pushed);
extern PACKAGE void __fastcall DrawCenterText(Graphics::TCanvas* Canvas, const Types::TRect &Rect, const AnsiString Text);
extern PACKAGE void __fastcall DrawCenterTextRect(Graphics::TCanvas* Canvas, const Types::TRect &EntireRect, const Types::TRect &ClipRect, const AnsiString Text, bool AlignToLeftIfNoSpace = true);
extern PACKAGE TacGraphicFormat __fastcall RecognizeGraphicFormat(Graphics::TGraphic* Graphic);
extern PACKAGE TacGraphicFormat __fastcall RecognizeGraphicStreamFormat(Classes::TStream* Stream);
extern PACKAGE bool __fastcall IsPictureNotEmpty(Graphics::TPicture* Picture);
extern PACKAGE int __fastcall GetTextWidthByDC(const HDC DC, const AnsiString Text);
extern PACKAGE int __fastcall GetTextHeightByDC(const HDC DC);
extern PACKAGE int __fastcall GetTextWidthByWindowHandle(const unsigned Handle, const AnsiString Text);
extern PACKAGE int __fastcall GetTextHeight(const Graphics::TCanvas* Canvas);
extern PACKAGE int __fastcall GetCenterTextHeight(const Types::TRect &R, const Graphics::TCanvas* Canvas);
extern PACKAGE void __fastcall InitACCursors(void);
extern PACKAGE void __fastcall ReleaseACCursors(void);

}	/* namespace Acgraphics */
using namespace Acgraphics;
#pragma pack(pop)
#pragma option pop

#pragma delphiheader end.
//-- end unit ----------------------------------------------------------------
#endif	// Acgraphics
